# Generated by Django 3.2.14 on 2023-05-03 06:01

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0109_profile_feature'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('document', '0112_partnersitesyncerror'),
    ]

    operations = [
        migrations.CreateModel(
            name='SoWOpportunityTeamMapping',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('team_crm_id', models.PositiveIntegerField()),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.provider')),
                ('sow_document', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='opportunity_team', to='document.sowdocument')),
            ],
        ),
    ]
